Debian Bug report logs - #651029
Please enable multiarch/hardening

version graph

Package: src:audiofile; Maintainer for src:audiofile is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Benjamin Kerensa <bkerensa@ubuntu.com>

Date: Mon, 5 Dec 2011 06:03:01 UTC

Severity: normal

Tags: fixed-in-experimental, patch

Found in version audiofile/0.2.7-0.1

Fixed in version 0.3.2-1

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#651029; Package src:audiofile. (Mon, 05 Dec 2011 06:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Kerensa <bkerensa@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Daniel Kobras <kobras@debian.org>. (Mon, 05 Dec 2011 06:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Benjamin Kerensa <bkerensa@ubuntu.com>
To: submit@bugs.debian.org
Subject: Please support multiarch in audiofile
Date: Sun, 04 Dec 2011 21:59:53 -0800
[Message part 1 (text/plain, inline)]
Source: audiofile
Version: 0.2.7-0.1
Tags: patch
Hi folks,

Please find attached a patch to atk1.0 to transition it to use of the
multiarch library paths as described at
<http://wiki.debian.org/Multiarch/Implementation>.


-- 

Benjamin Kerensa
Team Lead, Ubuntu Oregon
bkerensa@ubuntu.com

[Message part 2 (text/html, inline)]
[audiofile-multiarch.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#651029; Package src:audiofile. (Wed, 28 Dec 2011 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Daniel Kobras <kobras@debian.org>. (Wed, 28 Dec 2011 23:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 651029@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Benjamin Kerensa <bkerensa@ubuntu.com>
Cc: 651029@bugs.debian.org, control@bugs.debian.org
Subject: Re: Please support multiarch in audiofile
Date: Thu, 29 Dec 2011 00:51:13 +0100
retitle 651029 Please enable multiarch/hardening
thanks

On Sun, Dec 04, 2011 at 09:59:53PM -0800, Benjamin Kerensa wrote:
> Source: audiofile
> Version: 0.2.7-0.1
> Tags: patch
> Hi folks,
> 
> Please find attached a patch to atk1.0 to transition it to use of the
> multiarch library paths as described at
> <http://wiki.debian.org/Multiarch/Implementation>.

Switching to debhelper compat 9 also activates hardened build flags:

# hardening-check /usr/lib/x86_64-linux-gnu/libaudiofile.so.0
/usr/lib/x86_64-linux-gnu/libaudiofile.so.0:
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
 Read-only relocations: yes

Cheers,
        Moritz




Changed Bug title to 'Please enable multiarch/hardening' from 'Please support multiarch in audiofile' Request was from Moritz Mühlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Wed, 28 Dec 2011 23:51:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 05 Jan 2012 10:06:03 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Thu, 05 Jan 2012 13:33:16 GMT) Full text and rfc822 format available.

Notification sent to Benjamin Kerensa <bkerensa@ubuntu.com>:
Bug acknowledged by developer. (Thu, 05 Jan 2012 13:33:22 GMT) Full text and rfc822 format available.

Message #19 received at 651029-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 651029-close@bugs.debian.org
Subject: Bug#651029: fixed in audiofile 0.3.2-1
Date: Thu, 05 Jan 2012 13:32:15 +0000
Source: audiofile
Source-Version: 0.3.2-1

We believe that the bug you reported is fixed in the latest version of
audiofile, which is due to be installed in the Debian FTP archive:

audiofile_0.3.2-1.debian.tar.gz
  to main/a/audiofile/audiofile_0.3.2-1.debian.tar.gz
audiofile_0.3.2-1.dsc
  to main/a/audiofile/audiofile_0.3.2-1.dsc
audiofile_0.3.2.orig.tar.gz
  to main/a/audiofile/audiofile_0.3.2.orig.tar.gz
libaudiofile-dev_0.3.2-1_amd64.deb
  to main/a/audiofile/libaudiofile-dev_0.3.2-1_amd64.deb
libaudiofile0-dbg_0.3.2-1_amd64.deb
  to main/a/audiofile/libaudiofile0-dbg_0.3.2-1_amd64.deb
libaudiofile0_0.3.2-1_amd64.deb
  to main/a/audiofile/libaudiofile0_0.3.2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651029@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated audiofile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 05 Jan 2012 13:03:34 +0100
Source: audiofile
Binary: libaudiofile-dev libaudiofile0 libaudiofile0-dbg
Architecture: source amd64
Version: 0.3.2-1
Distribution: experimental
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 libaudiofile-dev - Open-source version of SGI's audiofile library (header files)
 libaudiofile0 - Open-source version of SGI's audiofile library
 libaudiofile0-dbg - Open-source version of SGI's audiofile library (debug)
Closes: 651029
Changes: 
 audiofile (0.3.2-1) experimental; urgency=low
 .
   * New maintainer, thanks to Daniel Kobras for the great work.
   * New upstream stable release.
   * Update debian/watch.
   * Remove debian/patches, all patches are obsolete or adopted upstream.
   * Drop libaudiofile0.symbols, use dh_makeshlibs -V for now.
   * Drop audiofile.m4 as it's no longer provided.
   * Build-Depends on libasound2-dev to build the example program.
   * Don't provide static library anymore.
   * Add MultiArch support. (Closes: #651029) (LP: #900153)
   * Add ${shlibs:Depends} to the -DEV's Depends field.
   * Pass --enable-static=no to configure.
   * Update debian/copyright.
   * Enable parallel builds.
Checksums-Sha1: 
 170d6c8e1fba7efafb19c4d0b669556759edc31e 2101 audiofile_0.3.2-1.dsc
 fb55a3c9153475daa8932d3626797e033d149c1d 722101 audiofile_0.3.2.orig.tar.gz
 8d53c84fe13e0a29ff6babbf8fc37eca3ac58e19 10810 audiofile_0.3.2-1.debian.tar.gz
 d365839497ed8d0d6f3c09ef6620107c6f6a8786 57046 libaudiofile-dev_0.3.2-1_amd64.deb
 7d59a779126334b46f6012df1def84d297ab8ce0 109728 libaudiofile0_0.3.2-1_amd64.deb
 cfdd39e50701be9d045910a389ddff0e82557aaa 409904 libaudiofile0-dbg_0.3.2-1_amd64.deb
Checksums-Sha256: 
 f1c148115f0b93d5cf515737753bd031f2b4c1a2e7c5c6ee721f0cbd00821ff0 2101 audiofile_0.3.2-1.dsc
 008dbd3d2fe5d03d3e4d56db5520b1fda539e7910a9c0dd5ea802b805c2e105a 722101 audiofile_0.3.2.orig.tar.gz
 e3db524f4ec3a0427eca7c0568a021243a6ae4adbd82aeb9a936d68d3439939e 10810 audiofile_0.3.2-1.debian.tar.gz
 2fac23af5024c305cfb371941ab1d8a48028c8e588c4f4e9e91d703c31428b33 57046 libaudiofile-dev_0.3.2-1_amd64.deb
 0f323d606c07bb42a0a5b17e915cd80be31ae9d2727cd989c93dae6816269119 109728 libaudiofile0_0.3.2-1_amd64.deb
 85f7a7cae9399d48bff44014f548d1d649fb7a3719d8753f74ced5e03035d655 409904 libaudiofile0-dbg_0.3.2-1_amd64.deb
Files: 
 1c0c0400187e345072d3e7c0a2e6233c 2101 libs optional audiofile_0.3.2-1.dsc
 cb2c4fe6e899e688ffe5d1568581cb63 722101 libs optional audiofile_0.3.2.orig.tar.gz
 bf9af115cb6c4c38d353bfb44c960740 10810 libs optional audiofile_0.3.2-1.debian.tar.gz
 aec96e297ab18b2cf5f3eba4ede5f5b5 57046 libdevel optional libaudiofile-dev_0.3.2-1_amd64.deb
 bda75ad85b72fda13a8fc7311cc8805a 109728 libs optional libaudiofile0_0.3.2-1_amd64.deb
 8d9965602eb4a23ff13608db87163636 409904 debug extra libaudiofile0-dbg_0.3.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPBaIYAAoJEOikiuUxHXZaJKMP/2VUdTvLZzGyfENeyf5YRqkk
8urdEPnSi+wWkTFgcJgvbdX2XdZYdpW4P7fcEynNQ35ecky+3wZ8DqdV+J8gjEZx
2uBbKlcfLeBMUkFd/4Ve2EYai8/evyUiureDTu+8h/ODLpXAsPsmuAqJnq22Xir7
Hna7BXHCADeOsDfVps0dgpLSELYjwSvE9BA2ypFPzTboqBdKyPCos9zqx/LIcodz
Uk2kQ/IjHaaFs8tVgwj12HSN5mihkYvVGcsI4OJSppMuuyifp1n8zUPT3F5yRCOS
yiATmpdafNbrPsczSEf48PDjk89sgeOrIlM561AJc3xOWJQAR/b8PbV56HFQOmtR
dVMRD9uUwGXcF3CPvd7FpO/8X92MMO9OcEk6UX3/iSVakizc/hoqoW/UXM33q2ad
ZEVZ5/CLDG1UpFPhqyEzHUVa0kwz0Wg/pqtxnpXi+eQ79HewUy1n0sVHZE3bX/su
06mqA9fLFjgB1qoM/LSh5hRM0nBXdmWAgNFKQjyHWJJqQg4rJwp7/oybB5dX+8Fz
9Y3T5YjsxTQWeZChP9er18Zut9/nxeDn6rFSwLjzmfQ1m4EeJdySIJeL/piWhXIx
QeHQW81MYQMNSf9D7P5Q6kY0PHlVhy34ysdg6ek7G9yLYt7ugmKZNXiP1k5mJBTm
bJMpXoVWT3AzBBwZJTy2
=UWqt
-----END PGP SIGNATURE-----





Added tag(s) fixed-in-experimental. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 05 Jan 2012 13:39:25 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 05 Jan 2012 13:51:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions audiofile/0.3.2-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Jan 2012 13:51:05 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Sun, 22 Jan 2012 20:24:07 GMT) Full text and rfc822 format available.

Notification sent to Benjamin Kerensa <bkerensa@ubuntu.com>:
Bug acknowledged by developer. (Sun, 22 Jan 2012 20:24:07 GMT) Full text and rfc822 format available.

Message #30 received at 651029-done@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 651029-done@bugs.debian.org
Cc: 651029-submitter@bugs.debian.org
Subject: Closing #651029
Date: Sun, 22 Jan 2012 21:21:07 +0100
Version: 0.3.2-1

Fixed with the release currently available in unstable.

Regards,

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Message sent on to Benjamin Kerensa <bkerensa@ubuntu.com>:
Bug#651029. (Sun, 22 Jan 2012 20:24:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Mar 2012 07:33:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:47:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.